Can't run Omega Ruby

Issue:
I get an error when trying to open my Omega Ruby ROM with citra

System Information

Log:

[ 0.000000] Frontend citra_qt/main.cpp:CheckForUpdates:467: Update check started
[ 1.971253] Frontend citra_qt/main.cpp:OnUpdateFound:480: No updates found
[ 26.795951] Frontend citra_qt/main.cpp:BootGame:607: Citra starting…
[ 27.005449] Render.OpenGL video_core/renderer_opengl/renderer_opengl.cpp:Init:488: GL_VERSION: 3.2.9551 Core Profile Forward-Compatible Context
[ 27.005477] Render.OpenGL video_core/renderer_opengl/renderer_opengl.cpp:Init:489: GL_VENDOR: ATI Technologies Inc.
[ 27.005495] Render.OpenGL video_core/renderer_opengl/renderer_opengl.cpp:Init:490: GL_RENDERER: ATI Radeon HD 5570
[ 27.005514] Render video_core/video_core.cpp:Init:34: initialization failed !
[ 27.005532] Core core/core.cpp:Load:108: Failed to initialize system (Error 9)!

Your GPU does not support OpenGL 3.3 which is a hard requirement for Citra.

How is this possible? According to this URL, the GPU supports OpenGL o.o

https://www.amd.com/en-us/products/graphics/desktop/5000/5570

u might need to dump the files or you might be missing like shared fonts.bin

find the Citra folder
%appdata%

and press Citra and check if the shared font is missing

@Magic_T That’s not it. If it was the user would have gotten a pop up message box and the log would have said so.

@Kormaris Have you tried the Radeon Software Crimson Edition Beta driver for your GPU. I think I remember someone mentioning it before.

does this mean that newer cpu and gpu will have a problem with citra?

Not sure where you’re getting this from. OP’s GPU is already 8 years old.